from enum import Enum, auto


class JoinTypes(Enum):
    """
    Enum for the different join types.
    """
    LEFT = "LEFT"
    INNER = "INNER"
    EXCLUDE = "EXCLUDE"


class OrderByDirections(Enum):
    """
    Enum for the different order by directions.
    """
    ASC = "ASC"
    DESC = "DESC"


class AuthFlow(Enum):
    """
    Enum for the different authentication flows.
    """
    XHEADER = auto()
    COMMON = auto()
    PARAMETER = auto()
    LEGACY = auto()
    LOGIN_SESSION = auto()


class HttpMethods(Enum):
    """
    List of supported HTTP methods
    """
    GET = "get"
    POST = "post"
