class CiviFangBaseException(Exception):
    """Custom base exception"""


class ApiAuthError(CiviFangBaseException):
    """Custom exception: authentication failed"""


class ApiError(CiviFangBaseException):
    """Custom exception: failed API call"""


class BuildQueryException(CiviFangBaseException):
    """Custom exception: failed to build query"""


class ApiException(CiviFangBaseException):
    """Custom exception: failed API call"""


class SslException(CiviFangBaseException):
    """Custom exception: not using ssl"""

    def __init__(self, message: str = None):
        self.message = message if message else (
            "The provided url does not start with 'https'. "
            "You can force the use of an unencrypted connection, but you "
            "should be very careful and only do this in test environments "
            "without any data of real people!")
